From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 26 Oct 2020 21:14:20 +0100

Helmut Eller <[email-masked]> writes:

> I use git to manage some files (.emacs, .bashrc etc.) in my home
> directory and hg for a project in a directory named ~/lisp/slime/.
> I have both, a ~/.git and a ~/lisp/slime/.hg directory
> and my ~/.gitignore contains a line with: lisp* 
>
> However when I invoke C-x v d on ~/lisp/slime, a buffer
> pops up with the first (wrong) line:  VC backend : Git
> and lists most of the files from the ~/lisp/slime directory
> as "unregistered".  Obviously, I would prefer to use the hg backend
> for the ~/lisp/slime directory.

This has now been fixed in Emacs 28 in bug#42966, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no